
From: NeilBrown <neilb@cse.unsw.edu.au>

From: "J. Bruce Fields" <bfields@fieldses.org>

From: Andros: locku replies should be saved for possible replay as well.


---

 25-akpm/fs/nfsd/nfs4proc.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfsd/nfs4proc.c~kNFSdv4-7-of-10-Allow-locku-replays-aswell fs/nfsd/nfs4proc.c
--- 25/fs/nfsd/nfs4proc.c~kNFSdv4-7-of-10-Allow-locku-replays-aswell	2004-04-07 22:08:27.174845936 -0700
+++ 25-akpm/fs/nfsd/nfs4proc.c	2004-04-07 22:08:27.246834992 -0700
@@ -787,6 +787,7 @@ nfsd4_proc_compound(struct svc_rqst *rqs
 			break;
 		case OP_LOCKU:
 			op->status = nfsd4_locku(rqstp, &current_fh, &op->u.locku);
+			op->replay = &op->u.locku.lu_stateowner->so_replay;
 			break;
 		case OP_LOOKUP:
 			op->status = nfsd4_lookup(rqstp, &current_fh, &op->u.lookup);

_
